[[news]]
=== News
* _11 January, 2025:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-3.2.0/[PySolFC
v3.2.0]. New in this release:
** New fullscreen mode, accessible by pressing F11.
** Easy option to clear advanced search options.
** Lots of bugfixes and enhancements.
* _19 October, 2024:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-3.1.0/[PySolFC
v3.1.0]. New in this release:
** Ten new games.
** Cleanup of duplicate images to reduce package size.
** Some extra cardset/table tile filter options.
** Many enhancements, bugfixes, etc.
* _31 March, 2024:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-3.0.0/[PySolFC
v3.0.0] - the biggest release in over 15 years. Additionally, there is a new Cardsets release
https://sourceforge.net/projects/pysolfc/files/PySolFC-Cardsets/PySolFC-Cardsets-3.0/[PySolFC-Cardsets v.3.0]. New in this release:
** 120 new games.
** Support for several new types of games/decks, including tile puzzles, Ishido-type tile matching games, joker deck games, and more.
** New game and cardset categories.
** Ability to change the style of virtually any of the graphics in PySol.
** Some UI/Quality of Life improvements.
** Bugfixes.
* _10 July, 2023:_ There is a new beta release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.21.0/[PySolFC
v2.21.0]. New in this release:
** Ten new games.
** Compatibility with Pillow 10.0.
** Several new display options.
** Other bugfixes and enhancements.
* _16 April, 2023:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.20.1/[PySolFC
v2.20.1]. New in this release:
** The release packages have been updated to use the latest version of Python, and all the dependent libraries.
** New alternate release packages for Windows and Mac that include the full cardsets library (these are larger and may take longer to download/install).
** Bugfixes and other enhancements.
* _26 February, 2023:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.20.0/[PySolFC
v2.20.0]. Additionally, there is a new Cardsets release
https://sourceforge.net/projects/pysolfc/files/PySolFC-Cardsets/PySolFC-Cardsets-2.2/[PySolFC-Cardsets v.2.2]. New in this release:
** Over 40 new games, bringing the total to 1,200!
** Memory games can now use any type of cardset, including new Matching type cardsets.
** New options in the Solitaire Wizard.
** Additional documentation for a number of PySol's features.
** Bugfixes and other enhancements.
* _11 October, 2022:_ Linux users, PySolFC is now available https://flathub.org/apps/details/io.sourceforge.pysolfc.PySolFC[on Flathub].
* _9 October, 2022:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.18.0/[PySolFC
v2.18.0]. New in this release:
** Advanced search feature - the ability to search for games, cardsets, or table tiles based on many different criteria.
** Complete documentation containing rules for all 1,100+ games.
** Revamped status bar, displaying more info.
** The Find Card feature now supports all types of games.
** Many new display and assist options.
** Bugfixes, code cleanup, etc.
* _10 May, 2022_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.16.0/[PySolFC
v2.16.0]. Anyone upgrading from a version prior to 2.15.0 should read the notes for that version before upgrading. New in this release:
** Enhancements to many images and graphical displays.
** More game rules in the documentation.
** Bugfixes, cleanup, and other enhancements.
* _12 March, 2022_ There is a new beta release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.15.0/[PySolFC
v2.15.0].  Additionally, there is a new Cardsets release https://sourceforge.net/projects/pysolfc/files/PySolFC-Cardsets/PySolFC-Cardsets-2.1/[PySolFC-Cardsets v.2.1]
(required to run 2.15).  This is a pretty sizable release, so this beta version
is being offered before a stable 2.16 in the next couple months.  Any https://github.com/shlomif/PySolFC/issues[feedback
and bug reports] are greatly appreciated.  The full list of changes for this release
is quite long, but here are the highlights:
** 35 new games, plus enhancements and fixes to many existing games.
** Many new game rules added to the documentation.
** New high resolution default display.  This new display uses high resolution
cardsets and scaling to make the games look impressive on larger monitors.
*** Note that the new high-resolution options will not override your currently selected
options for existing users.  If you want to use the new settings, you can delete or
rename your options.cfg file.
*** Also note that because of these changes, upgrading your version of PySolFC Cardsets
is required even if you're using the minimal package.  If you are using the Windows or
Mac installer, this will be handled automatically, but you'll need to upgrade if you're
setting it up manually.
** New feature to search for games, cardsets, and table tiles by name.
** Many new display options.
** Bugfixes and cleanup.
** And more.
* _10 December, 2021:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.14.1/[PySolFC
v2.14.1].  This release fixes a number of bugs, including one that causes
crashes for some users when opening the select game/cardset/table tile window.
* _19 September, 2021:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.14.0/[PySolFC
v2.14.0]. New in this release:
** 16 new games
** Support for Python 3.10 (Minimum requirement is still Python 2.7)
** A new macOS package.
** Enhancements to the tree select dialogs for selecting games, cardsets, and table tiles.
** Further additions/improvements to the documentation.
** Many bugfixes and cleanups.
* _11 July, 2021:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.12.0/[PySolFC
v2.12.0]. New in this release:
** 40 new games!
** Support for using higher resolution cardsets.  The high resolution "Neo"
cardset has been added to the Windows Installer package and is available in
https://sourceforge.net/projects/pysolfc/files/PySolFC-Cardsets/PySolFC-Cardsets-2.1PRE/[a preview release of
PySolFC-Cardsets 2.1].
** Improved organization and categorization of the games list.
** New display options - added option to center the game layout in the window.
** New audio options - can now disable music without disabling sound effects.
** Improved documentation - added rules to a large number of games that were missing them.
** Bugfixes and cleanup.
* _22 June, 2020:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.10.0/[PySolFC
v2.10.0]. New in this release:
** Fix moving cards in the Scorpion Tail game.
** Make use of https://pypi.org/project/pysol-cards/[the pysol-cards PyPI module]
** One can optionally load the Freecell Solver and the Black Hole Solver using their DLLs.
** Test Windows Version in the installer: https://github.com/shlomif/PySolFC/issues/161
** Pause when showing statistics: https://github.com/shlomif/PySolFC/pull/162
* _5 March, 2020:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.8.0/[PySolFC
v2.8.0]. New in this release:
** Better kivy/Android support
** Using ttk and configobj as shipped in the python dist (instead of forked versions)
** Requiring https://pypi.org/project/attrs/[attrs] and https://pypi.org/project/pysol-cards/[pysol-cards] from PyPI
** Added tests, bug fixes and refactorings.
** Add the +-g+ and +--deal+ command line options.
* _25 April, 2019:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.6.4/[PySolFC
v2.6.4]. New in this release:
** A https://github.com/shlomif/PySolFC/issues/107[new logo] thanks to @ghostofiht.
** Fix for https://github.com/shlomif/PySolFC/issues/110[Freezes] (pygame upgrade)
** Fixed https://github.com/shlomif/PySolFC/issues/111[Three Peaks scoring].
* _7 April, 2019:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.6.3/[PySolFC
v2.6.3]. New in this release:
** Compatibility with Pillow 6.x - https://github.com/shlomif/PySolFC/issues/108
** Restore the "Save games geometry" feature - https://github.com/shlomif/PySolFC/issues/84
** Added a NEWS.asciidoc file.
* _4 March, 2019:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.6.2/[PySolFC
v2.6.2]. New in this release:
** Fixes for the Windows and macOS packages.
** Forbid illegal moves in Spider and some other variants.
* _14 February, 2019:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.6.0/[PySolFC
v2.6.0]. New in this release:
** Support for solving
https://en.wikipedia.org/wiki/Golf_(patience)[Golf] using
https://github.com/shlomif/black-hole-solitaire[a solver]
** An untested macOS package (we need testers)
** A https://sourceforge.net/p/pysolfc/bugs/31/[bug] fix
** Ability to run the test suite without python 2.x and/or pygtk
** Code cleanups.
* _23 June, 2018:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.4.0/[PySolFC
v2.4.0]. New in this release:
** The Windows installer now includes the revitalised PySol-music
package. For more info, see
https://github.com/shlomif/PySolFC/issues/82[this bug].
** Many improvements to the test suite and the board import
functionality.
** Some bug fixes.
* _16 April, 2018:_ There is a new stable release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.2.0/[PySolFC
v2.2.0]. New in this release:
** The Microsoft Windows binary installer now contains and supports the
solver for Freecell and other games.
** Many bug fixes.
* _31 March, 2018:_ There is a new beta release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.1/[PySolFC
v2.1.4]. New in this release:
** We now provide a Microsoft Windows binary installer again, thanks to
the great work of https://github.com/Programator2[Roderik Ploszek]. Note
that the solvers (for FreeCell/etc.) are not installed as part of it
yet, but they are available separately.
** https://github.com/shlomif/pysol-sound-server[pysol-sound-server] was
updated to support Python 3.x.
** Fixes for the board export / solver input, and for redealing upon
restart of the "ms*" deals.
** Various cleanups.
* _5 March, 2018:_ There is a new beta source release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.1/[PySolFC
v2.1.3]. New in this release:
** Support for the https://kivy.org/[kivy] toolkit for running under
Android-based devices (currently python 2.7-only)
** Fixed the help system and removed the need for the sgmllib module.
** Other fixes and cleanups.
** Currently there is no Microsoft Windows binary package. Help or
insights will be appreciated.
* _19 November, 2017:_ There is a new beta source release
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.1/[PySolFC
v2.1.0], the first one in almost 8 years. New in this release:
** The code is now compatible with both Python 2.7.x and Python 3.x
** One can deal all
https://fc-solve.shlomifish.org/faq.html#what_are_ms_deals[MS
FreeCell/FC-pro deals] by specifying e.g: "ms100000" as the seed.
** Support for Black Hole and All in a Row solver was added.
** Test suite and CI were added to the repository.
** The code now passes flake8 validation.
** Some improvements to the solver dialog.
* _15 November, 2017:_ Development of the Python sources has recently
resumed using a https://github.com/shlomif/PySolFC[a GitHub project] and
other resources and Shlomi Fish (@shlomif) has received an admin status
on the SourceForge project and this site. A new source release which
adds compatibility with Python version 3.x and some other improvements
is expected soon.
* _04 December, 2009:_
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-2.0/[PySolFC
v.2.0] (1061 games) and
https://sourceforge.net/projects/pysolfc/files/PySolFC-Cardsets/PySolFC-Cardsets-2.0/[PySolFC-Cardsets
v.2.0] (153 cardsets)
** The license was changed to the GPLv3 or newer.
** 13 new games.
** Migration to new
https://code.google.com/archive/p/python-ttk/[python-ttk] module.
** Improved the look of the deck (required
http://effbot.org/downloads/#pil[python-imaging v.1.1.7]).
** Fixed Hanafuda games
(https://sourceforge.net/p/pysolfc/bugs/9/[ticket]).
** New config-file option: sound_sample_buffer_size
(https://sourceforge.net/p/pysolfc/bugs/10/[ticket]).
** Portable version for windows
(https://sourceforge.net/p/pysolfc/patches/3/[ticket]).
** Many other bugfixes.
* _06 September, 2007:_
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-1.1/[PySolFC
v.1.1] (1048 games)
** 48 new games (one game was removed)
** Solitaire Wizard
** improved Mahjongg games
** human readable config file (options.cfg)
** stack becomes compact when a card goes off screen
** Clearlooks theme for Tile widget set
** a huge number of other improvements
* _30 August, 2007:_
https://sourceforge.net/projects/pysolfc/files/PySolFC-Cardsets/PySolFC-Cardsets-1.1/[PySolFC-Cardsets
v.1.1] (152 cardsets)
* _21 February, 2007:_
https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-1.0/[PySolFC
v.1.0] (1001 games)
